import { LitElement } from 'lit';
export declare const ICON_MAGENTO = "icon-magento";
export declare class IconMagentoComponent extends LitElement {
    static readonly defaultTagName = "icon-magento";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
